# WOK
TKWOK
WOKOBJS

# WOKOBJS_OSSG Class Reference

`#include <WOKOBJS_OSSG.hxx>`

Inheritance diagram for WOKOBJS_OSSG:

[legend]

## Public Member Functions

Standard_EXPORT | WOKOBJS_OSSG (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params)
Standard_EXPORT Handle_WOKUtils_HSequenceOfPath | IncludeDirectories () const
Standard_EXPORT void | SetIncludeDirectories (const Handle(WOKUtils_HSequenceOfPath)&incdirs)
Standard_EXPORT void | SetTargetDir (const Handle(WOKUtils_Path)&adir)
Standard_EXPORT Handle_WOKUtils_Path | TargetDir () const
Standard_EXPORT Handle_WOKBuilder_Compilable | SchFile () const
Standard_EXPORT void | SetSchFile (const Handle(WOKBuilder_Compilable)&afile)
Standard_EXPORT Handle_TCollection_HAsciiString | AppSchema () const
Standard_EXPORT void | SetAppSchema (const Handle(TCollection_HAsciiString)&asdb)
virtual Standard_EXPORT void | Load ()
Standard_EXPORT WOKBuilder_BuildStatus | Execute ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | myname
Handle_TCollection_HAsciiString | myschname
Handle_WOKUtils_Path | mytarget
Handle_WOKBuilder_Compilable | myschfile
Handle_TCollection_HAsciiString | mypersclass
Handle_WOKUtils_HSequenceOfPath | myincdirs

## Constructor & Destructor Documentation

Standard_EXPORT WOKOBJS_OSSG::WOKOBJS_OSSG | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString WOKOBJS_OSSG::AppSchema | ( |  | ) | const

Standard_EXPORT WOKBuilder_BuildStatus WOKOBJS_OSSG::Execute | ( |  | ) | `[virtual]`

| Implements WOKBuilder_Tool.

Standard_EXPORT const WOKOBJS_OSSG::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_ToolInShell.

Standard_EXPORT Handle_WOKUtils_HSequenceOfPath WOKOBJS_OSSG::IncludeDirectories | ( |  | ) | const

virtual Standard_EXPORT void WOKOBJS_OSSG::Load | ( |  | ) | `[virtual]`

| Reimplemented from WOKBuilder_ToolInShell.

Standard_EXPORT Handle_WOKBuilder_Compilable WOKOBJS_OSSG::SchFile | ( |  | ) | const

Standard_EXPORT void WOKOBJS_OSSG::SetAppSchema | ( | const Handle(TCollection_HAsciiString)& | asdb | ) |

Standard_EXPORT void WOKOBJS_OSSG::SetIncludeDirectories | ( | const Handle(WOKUtils_HSequenceOfPath)& | incdirs | ) |

Standard_EXPORT void WOKOBJS_OSSG::SetSchFile | ( | const Handle(WOKBuilder_Compilable)& | afile | ) |

Standard_EXPORT void WOKOBJS_OSSG::SetTargetDir | ( | const Handle(WOKUtils_Path)& | adir | ) |

Standard_EXPORT Handle_WOKUtils_Path WOKOBJS_OSSG::TargetDir | ( |  | ) | const

## Field Documentation

Handle_WOKUtils_HSequenceOfPath WOKOBJS_OSSG::myincdirs `[private]`

Handle_TCollection_HAsciiString WOKOBJS_OSSG::myname `[private]`

| Reimplemented from WOKBuilder_Tool.

Handle_TCollection_HAsciiString WOKOBJS_OSSG::mypersclass `[private]`

Handle_WOKBuilder_Compilable WOKOBJS_OSSG::myschfile `[private]`

Handle_TCollection_HAsciiString WOKOBJS_OSSG::myschname `[private]`

Handle_WOKUtils_Path WOKOBJS_OSSG::mytarget `[private]`

The documentation for this class was generated from the following file:

- WOKOBJS_OSSG.hxx